<html>
<head>
<title>Ogre::D3D11VideoModeList Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1D3D11VideoModeList.html">D3D11VideoModeList</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::D3D11VideoModeList Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::D3D11VideoModeList" -->
<p><code>#include &lt;<a class="el" href="OgreD3D11VideoModeList_8h_source.html">OgreD3D11VideoModeList.h</a>&gt;</code></p>

<p><a href="classOgre_1_1D3D11VideoModeList-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoModeList.html#a9e22b4e28b9d52136f8c7df5fcd910a4">D3D11VideoModeList</a> (<a class="el" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a> *pDriver)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoModeList.html#a6e943bdbf4c2bd832cb6d3dc9a7653fd">~D3D11VideoModeList</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">BOOL&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoModeList.html#a452529b23b89ffdeb5036599f64e566d">enumerate</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D11VideoMode.html">D3D11VideoMode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoModeList.html#a56de13f7349a604ed9ae1a0a9998e2b2">item</a> (size_t index)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoModeList.html#ac9bc902a956c2cc7fb4948f5066720c3">count</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D11VideoMode.html">D3D11VideoMode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoModeList.html#a41e819748cf54be8bf56c498442eb8c7">item</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoModeList.html#aa0254f7236550018d9d8f57b0f0c94b2">mDriver</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1D3D11VideoMode.html">D3D11VideoMode</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1D3D11VideoModeList.html#a65c35c7bc396c8162365052a0aa6c944">mModeList</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreD3D11VideoModeList_8h_source.html#l00036">36</a> of file <a class="el" href="OgreD3D11VideoModeList_8h_source.html">OgreD3D11VideoModeList.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9e22b4e28b9d52136f8c7df5fcd910a4"></a><!-- doxytag: member="Ogre::D3D11VideoModeList::D3D11VideoModeList" ref="a9e22b4e28b9d52136f8c7df5fcd910a4" args="(D3D11Driver *pDriver)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11VideoModeList.html#a9e22b4e28b9d52136f8c7df5fcd910a4">Ogre::D3D11VideoModeList::D3D11VideoModeList</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a> *&#160;</td>
          <td class="paramname"><em>pDriver</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6e943bdbf4c2bd832cb6d3dc9a7653fd"></a><!-- doxytag: member="Ogre::D3D11VideoModeList::~D3D11VideoModeList" ref="a6e943bdbf4c2bd832cb6d3dc9a7653fd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11VideoModeList.html#a6e943bdbf4c2bd832cb6d3dc9a7653fd">Ogre::D3D11VideoModeList::~D3D11VideoModeList</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac9bc902a956c2cc7fb4948f5066720c3"></a><!-- doxytag: member="Ogre::D3D11VideoModeList::count" ref="ac9bc902a956c2cc7fb4948f5066720c3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1D3D11VideoModeList.html#ac9bc902a956c2cc7fb4948f5066720c3">Ogre::D3D11VideoModeList::count</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a452529b23b89ffdeb5036599f64e566d"></a><!-- doxytag: member="Ogre::D3D11VideoModeList::enumerate" ref="a452529b23b89ffdeb5036599f64e566d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">BOOL <a class="el" href="classOgre_1_1D3D11VideoModeList.html#a452529b23b89ffdeb5036599f64e566d">Ogre::D3D11VideoModeList::enumerate</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a56de13f7349a604ed9ae1a0a9998e2b2"></a><!-- doxytag: member="Ogre::D3D11VideoModeList::item" ref="a56de13f7349a604ed9ae1a0a9998e2b2" args="(size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11VideoMode.html">D3D11VideoMode</a>* <a class="el" href="classOgre_1_1D3D11VideoModeList.html#a56de13f7349a604ed9ae1a0a9998e2b2">Ogre::D3D11VideoModeList::item</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a41e819748cf54be8bf56c498442eb8c7"></a><!-- doxytag: member="Ogre::D3D11VideoModeList::item" ref="a41e819748cf54be8bf56c498442eb8c7" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11VideoMode.html">D3D11VideoMode</a>* <a class="el" href="classOgre_1_1D3D11VideoModeList.html#a56de13f7349a604ed9ae1a0a9998e2b2">Ogre::D3D11VideoModeList::item</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="aa0254f7236550018d9d8f57b0f0c94b2"></a><!-- doxytag: member="Ogre::D3D11VideoModeList::mDriver" ref="aa0254f7236550018d9d8f57b0f0c94b2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1D3D11Driver.html">D3D11Driver</a>* <a class="el" href="classOgre_1_1D3D11VideoModeList.html#aa0254f7236550018d9d8f57b0f0c94b2">Ogre::D3D11VideoModeList::mDriver</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11VideoModeList_8h_source.html#l00039">39</a> of file <a class="el" href="OgreD3D11VideoModeList_8h_source.html">OgreD3D11VideoModeList.h</a>.</p>

</div>
</div>
<a class="anchor" id="a65c35c7bc396c8162365052a0aa6c944"></a><!-- doxytag: member="Ogre::D3D11VideoModeList::mModeList" ref="a65c35c7bc396c8162365052a0aa6c944" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1D3D11VideoMode.html">D3D11VideoMode</a>&gt;::type <a class="el" href="classOgre_1_1D3D11VideoModeList.html#a65c35c7bc396c8162365052a0aa6c944">Ogre::D3D11VideoModeList::mModeList</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreD3D11VideoModeList_8h_source.html#l00040">40</a> of file <a class="el" href="OgreD3D11VideoModeList_8h_source.html">OgreD3D11VideoModeList.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreD3D11VideoModeList_8h_source.html">OgreD3D11VideoModeList.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:14
</p>
</body>
</html>
